import { Button } from '@taroify/core';
import classNames from 'classnames';

import { PREFIX } from '@/components/product-dialog/const';

interface IConfirmContentProps {
  unlockTime: number;
  onConfirm: () => void;
}

export default function ConfirmContent(props: IConfirmContentProps) {
  const { unlockTime, onConfirm } = props;
  return (
    <div className={`${PREFIX}__group-confirm`}>
      <div className={classNames(`${PREFIX}__group-confirm__tips`, 'highlight')}>如您不在群里，可让播络邀请</div>
      <div className={`${PREFIX}__group-confirm__header`}>
        <div>您还剩</div>
        <div className="highlight">{`${unlockTime}次邀请`}</div>
        <div>机会</div>
      </div>
      <Button className={`${PREFIX}__group-confirm__button`} onClick={onConfirm}>
        邀我进群
      </Button>
    </div>
  );
}
