import { Button } from '@taroify/core';

import { PREFIX } from '@/components/product-dialog/const';

interface IUnableUnlockContentProp {
  onConfirm: () => void;
}

export default function UnableUnlockContent(props: IUnableUnlockContentProp) {
  return (
    <div className={`${PREFIX}__job-unable`}>
      <div className={`${PREFIX}__job-unable__header`}>
        <div>今日通告对接次数</div>
        <div className="highlight">已用完</div>
      </div>
      <div className={`${PREFIX}__job-unable__describe`}>
        <div>请</div>
        <div className="highlight">明日</div>
        <div>再来</div>
      </div>
      <Button className={`${PREFIX}__job-unable__button`} onClick={props.onConfirm}>
        确定
      </Button>
    </div>
  );
}
