import { Image } from '@tarojs/components';

import classNames from 'classnames';

import { ProtocolPrivacy } from '@/components/protocol-privacy';
import SafeBottomPadding from '@/components/safe-bottom-padding';

import './index.less';

interface IProps {
  className?: string;
}

const PREFIX = 'app-slogan';

function Slogan(props: IProps) {
  return (
    <div className={classNames(PREFIX, props.className)}>
      <div className={`${PREFIX}__content`}>
        <Image className={`${PREFIX}__icon`} mode="aspectFit" src={require('@/statics/svg/slogan.svg')} />
        <div className={`${PREFIX}__slogan`}>｜每天推荐海量高薪通告 </div>
      </div>
      <ProtocolPrivacy className={`${PREFIX}__protocol`} divider />
      <SafeBottomPadding />
    </div>
  );
}

export default Slogan;
