export const APP_TAB_BAR_ID = 'app-custom-tab-bar';
export const CONTACT_WE_COM_ID = 'a7fb5b91778009f036207269c65aaaab';

export enum PageType {
  Start = 'start',
  JOB = 'job',
  Group = 'group',
  GroupV2 = 'group-v2',
  Anchor = 'anchor',
  Message = 'message',
  BatchPublish = 'batch-publish',
  User = 'user',
  DEV = 'dev',
}

export enum EventName {
  ADD_GROUP = 'add_group',
  SELECT_CITY = 'select_city',
  CREATE_PROFILE = 'create_profile',
  UPDATE_PROFILE = 'update_profile',
  EDIT_JOB_DESCRIBE = 'edit_job_describe',
  JOB_UPDATE = 'job_update',
  COMPANY_JOB_PUBLISH_CHANGED = 'company_job_publish_changed',
  SELECT_MY_PUBLISH_JOB = 'select_my_publish_job',
  EXIT_CHAT_PAGE = 'exit_chat_page',
  VIEW_MATERIAL_SUCCESS = 'view_material_success',
}

export enum OpenSource {
  None = 'none',
  JobPage = 'job_page',
  JobSearch = 'job_search',
  AddIndentCity = 'profile_add_indent_city',
  UserPage = 'user_page',
  AnchorPage = 'anchor_page',
  MaterialViewPage = 'material_view_page',
}

export enum PageUrl {
  Start = 'pages/start/index',
  DevDebug = 'pages/dev-debug/index',
  Job = 'pages/job/index',
  Group = 'pages/group/index',
  GroupV2 = 'pages/group-v2/index',
  GroupList = 'pages/group-list/index',
  Anchor = 'pages/anchor/index',
  Message = 'pages/message/index',
  MessageChat = 'pages/message-chat/index',
  User = 'pages/user/index',
  JobDetail = 'pages/job-detail/index',
  JobSearch = 'pages/job-search/index',
  JobPublish = 'pages/job-publish/index',
  JobPublishDescribe = 'pages/job-publish-describe/index',
  JobPublishAddress = 'pages/job-publish-address/index',
  JobSelectMyPublish = 'pages/job-select-my-publish/index',
  GroupJob = 'pages/group-job/index',
  CitySearch = 'pages/search-city/index',
  CitySearchProfile = 'pages/search-city-profile/index',
  UserInfo = 'pages/user-info/index',
  UserBatchPublish = 'pages/user-batch-publish/index',
  MyDeclaration = 'pages/my-declaration/index',
  MyPublish = 'pages/my-publish/index',
  FollowGroup = 'pages/follow-group/index',
  MaterialProfile = 'pages/material-profile/index',
  MaterialUploadVideo = 'pages/material-upload-video/index',
  MaterialCreateProfile = 'pages/material-create-profile/index',
  MaterialEditProfile = 'pages/material-edit-profile/index',
  MaterialView = 'pages/material-view/index',
  MaterialWebview = 'pages/material-webview/index',
  Certification = 'pages/certification/index',
  CertificationStart = 'pages/certification-start/index',
  CertificationManage = 'pages/certification-manage/index',
  ProtocolWebview = 'pages/protocol-webview/index',
  PrivacyWebview = 'pages/privacy-webview/index',
  Partner = 'pages/partner/index',
  WithdrawRecord = 'pages/withdraw-record/index',
}

export enum PluginUrl {
  LocationSelect = 'plugin://chooseLocation/index',
}

export enum RoleType {
  Anchor = '1',
  Company = '2',
}
