export enum ProfileGroupType {
  Basic = 'basic',
  Intention = 'intention',
  Experience = 'experience',
  Advantages = 'advantages',
}

export const ProfileTitleMap = {
  [ProfileGroupType.Basic]: '基本信息',
  [ProfileGroupType.Intention]: '求职意向',
  [ProfileGroupType.Experience]: '直播经验',
  [ProfileGroupType.Advantages]: '自身优势',
};

export enum WorkedYears {
  LessOneYear = 0.5,
  OneYear = 1,
  TwoYear = 2,
  MoreThreeYear = 3,
}

export enum GenderType {
  All = -1,
  MEN = 0,
  WOMEN = 1,
}

// 1主播主动创建 2主播填写表单创建 3 运营人工创建 4 机器人创建
export enum ProfileCreateSource {
  User = 1,
  UserInput = 2,
  Bl = 3,
  Robot = 4,
}

export enum StyleType {
  Broadcasting = 1,
  HoldOrder = 2,
  Passion = 3,
}

export enum MaterialStatus {
  Open = 0,
  Close = 1,
}

export enum AnchorSortType {
  Recommend = 'recommend',
  Active = 'active',
  New = 'new',
}

export enum AnchorReadType {
  All = 'all',
  Read = 'read',
  Unread = 'unread',
}

export enum MaterialViewSource {
  AnchorList = 'anchor-list',
  Share = 'share',
  Chat = 'chat',
}

export const ALL_ANCHOR_SORT_TYPES = Object.values(AnchorSortType).filter(i => i !== AnchorSortType.Recommend);

export const ANCHOR_SORT_TYPE_TITLE_MAP = {
  [AnchorSortType.Recommend]: '推荐',
  [AnchorSortType.New]: '最新',
  [AnchorSortType.Active]: '活跃',
};

export const WORK_YEAR_LABELS = {
  [WorkedYears.LessOneYear]: '1 年以下',
  [WorkedYears.OneYear]: '1 年',
  [WorkedYears.TwoYear]: '2 年',
  [WorkedYears.MoreThreeYear]: '3 年以上',
};

export const WORK_YEAR_OPTIONS = [
  { label: WORK_YEAR_LABELS[WorkedYears.LessOneYear], value: WorkedYears.LessOneYear },
  { label: WORK_YEAR_LABELS[WorkedYears.OneYear], value: WorkedYears.OneYear },
  { label: WORK_YEAR_LABELS[WorkedYears.TwoYear], value: WorkedYears.TwoYear },
  { label: WORK_YEAR_LABELS[WorkedYears.MoreThreeYear], value: WorkedYears.MoreThreeYear },
];

export const ALL_GENDER_TYPES = [GenderType.All, GenderType.MEN, GenderType.WOMEN];

export const GENDER_TYPE_TITLE_MAP = {
  [GenderType.All]: '不限',
  [GenderType.WOMEN]: '女',
  [GenderType.MEN]: '男',
};

export const ALL_ANCHOR_READ_TYPES = Object.values(AnchorReadType);

export const ANCHOR_READ_TITLE_MAP = {
  [AnchorReadType.All]: '全部',
  [AnchorReadType.Read]: '已读',
  [AnchorReadType.Unread]: '未读',
};
