export enum ProductType {
  GetJob = 'GETJOB',
  AddGroup = 'ADDGROUP',
  BossVip = 'BOSSVIP',
  VIP = 'VIP', // 主播通告 VIP
  GroupBatchPublish = 'GROUP_BATCH_PUSH', // 主播通告 VIP
  CompanyPublishJob = 'BOSS_PUB_JOB', // 企业购买单次发布通告
  BOSS_VIP_NEW = 'BOSS_VIP_NEW',
}

export const PRODUCT_ID_MAP = {
  [ProductType.GetJob]: 1,
  [ProductType.AddGroup]: 2,
};

export enum DeclarationType {
  // 直接连接通告主
  Direct = 0,
  // 客服联系 customer service
  CS = 1,
  // 进群报单
  Group = 2,
}

export enum ProductSpecId {
  AddGroup1 = 'ADDGROUP_1',
  AddGroup2 = 'ADDGROUP_2',
  AddGroup3 = 'ADDGROUP_3',
  BossVip = 'BOSSVIP',
  WeeklyVIP = 'VIP_W',
  MonthlyVIP = 'VIP_M', // 30 每天十次
  NewMonthlyVIP = 'VIP_M_NEW', // 18 每天五次
  GroupBatchPublish20 = 'GROUP_BATCH_PUSH_20',
  GroupBatchPublish50 = 'GROUP_BATCH_PUSH_50',
  GroupBatchPublish100 = 'GROUP_BATCH_PUSH_100',
  GroupBatchPublish300 = 'GROUP_BATCH_PUSH_300',
  GroupBatchPublish500 = 'GROUP_BATCH_PUSH_500',
  GroupBatchPublish1000 = 'GROUP_BATCH_PUSH_1000',
  BOSS_PUB_JOB_1 = 'BOSS_PUB_JOB_1', // 旧版企业发通告会员
  BOSS_VIP_NEW_1 = 'BOSS_VIP_NEW_1', // 新版企业发通告会员 - 周
  BOSS_VIP_NEW_2 = 'BOSS_VIP_NEW_2', // 新版企业发通告会员 - 月
  BOSS_VIP_NEW_3 = 'BOSS_VIP_NEW_3', // 新版企业发通告会员 - 季
}

export enum OrderType {
  Group = 1,
  BossVip = 2,
  VIP = 4, // 主播会员
  GroupBatchPublish = 5,
  CompanyPublishJob = 6,
  CompanyVip = 7,
}

export enum OrderStatus {
  Waiting = 0,
  Success = 1,
  Refund = 2,
  Cancel = 3,
}

export enum QrCodeType {
  Group = 'group',
  ConnectCustomerService = 'connect_customer_service',
  PublishJob = 'publish_job',
}
