// export const DOMAIN = 'http://192.168.60.148:8082';
export const DOMAIN = 'https://neighbourhood.cn';
export const BASE_URL = `${DOMAIN}/api`;

export enum API {
  // 用户级别
  LOGIN = '/user/login', // 登录
  SET_PHONE = '/user/setPhone', // 设置手机号
  USER = '/user/get', // 获取用户信息
  USER_UPDATE = '/user/update', // 更新用户信息
  APP_MODE_SWITCH = '/user/switchRole',
  // subscribe
  SUBSCRIBE = '/user/subscribe',
  CANCEL_SUBSCRIBE = '/user/cancelSubscribe',
  // 群
  FOLLOW_GROUP = '/userGroup/follow', // 关注群
  GROUPS = '/userGroup/list', // 获取我的群列表
  GROUP_DETAIL = '/userGroup/get', // 获取群的详细信息
  BATCH_PUBLISH_GROUP_LIST = '/userGroup/listGroupCountByCity', // 支持群发的群列表
  SIMPLE_GROUP_LIST = '/userGroup/listAll', // 群发可用群简单信息
  // 位置
  LOCATION = '/location/get', // 获取位置信息
  // 通告
  GET_JOB_CATEGORIES = '/category/list', // 获取通告分类
  GET_JOB_LIST = '/job/search', // 获取通告列表数据
  GET_MY_JOB_LIST = '/job/searchMyJobs', // 获取我的/我关注通告列表数据
  GET_MY_JOB_LIST_V2 = '/user/searchMyJobs', // 获取我的/我关注通告列表数据
  GET_JOB_DETAIL = '/job/get', // 获取通告详情
  GET_JOB_MANAGE_LIST = '/job/myjob/list', // 获取通告管理列表
  CREATE_JOB = '/job/create',
  UPDATE_JOB = '/job/update',
  PUBLISH_JOB = '/job/release',
  CLOSE_JOB = '/job/close',
  MY_DECLARED_JOB_LIST = '/user/searchMyDeclared', // 我报单的通告列表
  MY_BROWSED_JOB_LIST = '/user/searchMyBrowsed', // 我浏览过的通告列表
  MY_RECOMMEND_JOB_LIST = '/user/listMyRecommendJobs', // 获取我的通告推荐列表
  // 付费产品
  GET_PRODUCT_LIST = '/product/listMyProduct', // 获取付费产品列表信息
  GET_PRODUCT_DETAIL = '/product/getMyProductDetail', // 查询某个付费产品的详细信息
  PRODUCT_USE_RECORD = '/product/getProductUseRecord', // 查询某个产品是否已经解锁
  USE_PRODUCT = '/product/use', // 使用某个产品扣费/次数
  ALLOW_BUY_PRODUCT = '/product/allowBuyProduct', // 是否可以购买某个产品
  CS_QR_CODE = '/customerService/get', // 客服微信二维码
  CREATE_PAY_ORDER = '/payOrder/create', // 创建支付订单
  GET_PAY_ORDER = '/payOrder/get', // 订单查询
  // 资料库
  SAVE_VIDEOS = '/resume/video/create', // 保存视频列表
  CREATE_PROFILE = '/resume/create', // 创建模卡身份信息
  GET_PROFILE = '/resume/get', // 获取主播模卡详情
  READ_PROFILE = '/resume/read', // 从模卡列表访问模卡
  VIEW_SHARE_PROFILE = '/resume/readByShareCode', // 分享访问模卡
  GET_PROFILE_SHARE_CODE = '/resume/getShareCode',
  UPDATE_PROFILE = '/resume/update', // 更新模卡
  UPDATE_PROFILE_STATUS = '/resume/updateStatus',
  // 七牛
  GET_QI_NIU_TOKEN = '/file/token/get',
  GET_VIDEO_INFO = '/file/url/get',
  // 企业
  CERTIFICATION = '/boss/auth',
  GET_PHONE = '/user/wx/phone',
  // 主播
  GET_ANCHOR_LIST = '/resume/list',
  // message
  MESSAGE_REMAIN_PUSH_TIMES = '/user/remainPushTimes',
  MESSAGE_CHAT_LIST = '/chat/list',
  MESSAGE_UNREAD_COUNT = '/chat/msg/getUnReadMsgCount',
  MESSAGE_CREATE_CHAT = '/chat/create',
  MESSAGE_CHAT_WATCH = '/chat/watch',
  MESSAGE_CHAT_WATCH_GET = '/chat/watch/get',
  MESSAGE_CHAT = '/chat/msg/getIndexMessage',
  MESSAGE_CHAT_NEW = '/chat/msg/list',
  MESSAGE_SEND_TEXT = '/chat/msg/send',
  MESSAGE_SEND_ACTION = '/chat/action/send',
  MESSAGE_GET_ACTION = '/chat/action/get',
  MESSAGE_GET_ACTION_DETAIL = '/chat/action/getActionDetail',
  MESSAGE_CONFIRM_ACTION = '/chat/action/confirm',
  MESSAGE_LIST_STATUS = '/chat/msg/listStatus',
  // partner
  PARTNER_QRCODE = '/user/getInviteQrCode',
  GET_INVITE_CODE = '/user/getUserInviteCode',
  GET_INVITE_LIST = '/user/inviteUsers/list',
  BECOME_PARTNER = '/user/becomePartner',
  GET_PROFIT_LIST = '/user/profit/list',
  GET_PROFIT_STAT = '/user/profits',
  WITHDRAW = '/user/withdraw',
  GET_WITHDRAW_LIST = '/user/withdraw/records',
}
