export const TOKEN_KEY = '__boluo_user_token__';
export const TOKEN_EXPIRES_TIME = '__boluo_user_token_expires_time__';

export enum HTTP_STATUS {
  SUCCESS = 200,
  FAIL = 417,
}

export enum RESPONSE_ERROR_CODE {
  INVALID_PARAMETER = 'INVALID_PARAMETER',
  NOT_FUND = 'NOT_FUND',
  INNER_EXCEPTION = 'INNER_EXCEPTION',
  SYSTEM_ERROR = 'SYSTEM_ERROR',
  NEED_LOGIN = 'NEED_LOGIN',
  // 模卡分享
  RESUME_NOT_FUND = 'RESUME_NOT_FUND', // 模卡记录不存在
  BOSS_NOT_AUTH = 'BOSS_NOT_AUTH', // 企业未认证
  BOSS_CANNOT_READ_RESUME = 'BOSS_CANNOT_READ_RESUME', // 企业要先查阅过模卡才能分享
  USER_NOT_FUND = 'USER_NOT_FUND', // 用户不存在
  RESUME_SHARE_CODE_NOT_FUND = 'RESUME_SHARE_CODE_NOT_FUND', // 模卡分享记录不存在
  RESUME_CANNOT_BE_READ = 'RESUME_CANNOT_BE_READ', // 模卡被限制访问
  RESUME_SHARE_CODE_EXPIRED = 'RESUME_SHARE_CODE_EXPIRED', // 分享码已过期
  USER_IS_NOT_ACTIVE = 'USER_IS_NOT_ACTIVE', // 用户状态异常
  // 模卡查看
  NO_PUBLISHED_JOB = 'NO_PUBLISHED_JOB', // 没有发布的模卡
  INSUFFICIENT_BALANCE = 'INSUFFICIENT_BALANCE', // 聊天或者模卡查看超出限制
  INSUFFICIENT_FREE_BALANCE = 'INSUFFICIENT_FREE_BALANCE', // 免费查看次数(未购买会员)超限
  BOSS_VIP_EXPIRED = 'BOSS_VIP_EXPIRED', // 会员过期
}

export const RESPONSE_ERROR_INFO: { [key in RESPONSE_ERROR_CODE]?: string } = {
  [RESPONSE_ERROR_CODE.USER_IS_NOT_ACTIVE]: '用户状态异常',
  [RESPONSE_ERROR_CODE.RESUME_NOT_FUND]: '模卡记录不存在',
  [RESPONSE_ERROR_CODE.BOSS_NOT_AUTH]: '企业未认证',
  [RESPONSE_ERROR_CODE.BOSS_CANNOT_READ_RESUME]: '您需要先发布认证通告才可分享',
  [RESPONSE_ERROR_CODE.USER_NOT_FUND]: '用户不存在',
  [RESPONSE_ERROR_CODE.RESUME_SHARE_CODE_NOT_FUND]: '模卡分享记录不存在',
  [RESPONSE_ERROR_CODE.RESUME_CANNOT_BE_READ]: '模卡被限制访问',
  [RESPONSE_ERROR_CODE.RESUME_SHARE_CODE_EXPIRED]: '分享码已过期',
};
